ANSIBLE-INVENTORY(1)

NAME
ansible-inventory - None

SYNOPSIS

ansible-inventory [options] [host|group]

DESCRIPTION

used to display or dump the configured inventory as Ansible sees it

COMMON OPTIONS

--ask-vault-pass
    ask for vault password

--graph
    create inventory graph, if supplying pattern it must be a valid group name

--host HOST
    Output specific host info, works as inventory script

--list
    Output all hosts info, works as inventory script

--list-hosts
    outputs a list of matching hosts; does not execute anything else

--vars
    Add vars to graph display, ignored unless used with --graph

--vault-id
    the vault identity to use

--vault-password-file
    vault password file

--version
    show program’s version number and exit

-h, --help
    show this help message and exit

-i, --inventory, --inventory-file
    specify inventory host path or comma separated host list. --inventory-file is deprecated

-l SUBSET, --limit SUBSET
    further limit selected hosts to an additional pattern

-v, --verbose
    verbose mode (-vvv for more, -vvvv to enable connection debugging)

-y, --yaml
    Use YAML format instead of default JSON, ignored for --graph

ENVIRONMENT

The following environment variables may be specified.

ANSIBLE_CONFIG — Override the default ansible config file

Many more are available for most options in ansible.cfg

FILES

/etc/ansible/ansible.cfg — Config file, used if present

~/.ansible.cfg — User config file, overrides the default config if present

AUTHOR

Ansible was originally written by Michael DeHaan. See the AUTHORS file for a complete list of contributors.

COPYRIGHT

Copyright © 2017 Red Hat, Inc | Ansible. Ansible is released under the terms of the GPLv3 License.

SEE ALSO

ansible(1), ansible-config(1), ansible-console(1), ansible-doc(1), ansible-galaxy(1), ansible-playbook(1), ansible-pull(1), ansible-vault(1)

Extensive documentation is available in the documentation site: http://docs.ansible.com. IRC and mailing list info can be found in file CONTRIBUTING.md, available in: https://github.com/ansible/ansible